
/* We do not support shadow framebuffer, as we cannot
  draw into offscreen memory du to the lack of free memory
  Note In 1280x1024 with acceleration enabled, there is now space
  left due to 4096 line width
  */
/* #include "shadow.h" */

/***********************************************************************
 * Shadow stuff
 ***********************************************************************/
#if 0
/**
 * @brief FIXME
 * @param[in] pScreen
 * @param[in] row FIXME
 * @param[in] offset FIXME
 * @param[in] mode FIXME
 * @param[out] size FIXME
 * @param[?] closure FIXME
 **/
static void *FBDevWindowLinear( ScreenPtr pScreen, CARD32 row, CARD32 offset, int mode,
                   CARD32 *size, void *closure )
{
	ScrnInfoPtr pScrn = xf86Screens[ pScreen->myNum ];
	FBDevRec * fPtr = FBDEVPTR( pScrn );

	TRACE_ENTER(__FUNCTION__);

	if ( !pScrn->vtSema )
		return NULL;

	*size = fPtr->real_line_length;

	TRACE_EXIT(__FUNCTION__);
	return ( ( CARD8 * ) fPtr->vmem_io + fPtr->fboff + row * fPtr->real_line_length + offset );
}

#endif

#if 0
/**
 *
 */
static Bool FBDevShadowInit( ScreenPtr pScreen, FBDevRec * fPtr )
{
	PixmapPtr pPixmap;
	ShadowUpdateProc update;
	ShadowWindowProc window;

	TRACE_ENTER(__FUNCTION__);
	pPixmap = pScreen->CreatePixmap( pScreen, pScreen->width, pScreen->height, pScreen->rootDepth );
	if ( !pPixmap )
		return FALSE;

	if ( !shadowSetup( pScreen ) ) {
		pScreen->DestroyPixmap( pPixmap );
		return FALSE;
}

	update = fPtr->rotate ? shadowUpdateRotatePackedWeak() : shadowUpdatePackedWeak();

	if ( !shadowAdd( pScreen, pPixmap, update, FBDevWindowLinear, fPtr->rotate, NULL ) ) {
		pScreen->DestroyPixmap( pPixmap );
		return FALSE;
}

	TRACE_EXIT(__FUNCTION__);
	return TRUE;
}
#endif
